Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1916 - userdel doesn't delete user private group any more
Summary: userdel doesn't delete user private group any more
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: shadow-utils
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-31 16:05 UTC by Michael K. Johnson
Modified: 2015-01-07 23:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-01 04:18:08 UTC


Attachments (Terms of Use)

Description Michael K. Johnson 1999-03-31 16:05:23 UTC
userdel used to delete user private groups if they had
the same name as the user, but it does not seem to do
that now.

Comment 1 Cristian Gafton 1999-03-31 16:33:59 UTC
I don't think it ever used to do that. That is what groupdel does.

Comment 2 Michael K. Johnson 1999-03-31 16:39:59 UTC
useradd adds user private groups.  userdel should delete them.
groupadd adds other groups.  groupdel should be used to delete
those.  But automagically added groups should be automagically
deleted.

If userdel never did that (I'll have to check) then it is a bug,
as we agreed long ago that it should...

Comment 3 Michael K. Johnson 1999-03-31 19:38:59 UTC
useradd adds user private groups.  userdel should delete them.
groupadd adds other groups.  groupdel should be used to delete
those.  But automagically added groups should be automagically
deleted.

If userdel never did that (I'll have to check) then it is a bug,
as we agreed long ago that it should...

Comment 4 Michael K. Johnson 1999-03-31 19:42:59 UTC
OK, userdel needs to have a command-line option to call groupdel
(it currently doesn't seem to)

Comment 5 Preston Brown 1999-03-31 22:31:59 UTC
michael, can you handle this?

Comment 6 Michael K. Johnson 1999-04-01 04:18:59 UTC
Fixed in shadow-utils-980403-9
userdel now removes the user's primary group IFF
 o the group name and and the user name are the same
 o no other user has the same primary group id
 o no other users are listed in the group list for the primary group


Note You need to log in before you can comment on or make changes to this bug.